package com.palmnest.application.dto;

import java.io.Serializable;
import java.util.List;

public class MenuDto implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 5136804283024585640L;
	private Integer id;
	private String menuName;
	private String treeCode;
	private String parentCode;
	private String description; 
	private Integer ordernum;
	private Integer isApp;
	private String url;
	private String iconUrl;
	private String menuType;
	private String menuCode;
	private String menuIconUrl;
	private Integer appfunctionId;
	private List<MenuDto> childrenMenus;
	
	public MenuDto() {
		
	}
	
	
	public MenuDto(Integer id, String menuName, String parentCode, String description, Integer ordernum) {
		super();
		this.id = id;
		this.menuName = menuName;
		this.parentCode = parentCode;
		this.description = description;
		this.ordernum = ordernum;
	}


	public MenuDto(Integer id, String menuName, String treeCode, String parentCode, String description,
			Integer ordernum, Integer isApp) {
		super();
		this.id = id;
		this.menuName = menuName;
		this.treeCode = treeCode;
		this.parentCode = parentCode;
		this.description = description;
		this.ordernum = ordernum;
		this.isApp = isApp;
	}


	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getMenuName() {
		return menuName;
	}
	public void setMenuName(String menuName) {
		this.menuName = menuName;
	}
	public String getTreeCode() {
		return treeCode;
	}
	public void setTreeCode(String treeCode) {
		this.treeCode = treeCode;
	}
	public String getParentCode() {
		return parentCode;
	}
	public void setParentCode(String parentCode) {
		this.parentCode = parentCode;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public Integer getOrdernum() {
		return ordernum;
	}
	public void setOrdernum(Integer ordernum) {
		this.ordernum = ordernum;
	}
	public Integer getIsApp() {
		return isApp;
	}
	public void setIsApp(Integer isApp) {
		this.isApp = isApp;
	}
	
	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}
	public String getIconUrl() {
		return iconUrl;
	}
	public void setIconUrl(String iconUrl) {
		this.iconUrl = iconUrl;
	}

	public List<MenuDto> getChildrenMenus() {
		return childrenMenus;
	}

	public void setChildrenMenus(List<MenuDto> childrenMenus) {
		this.childrenMenus = childrenMenus;
	}

	public String getMenuType() {
		return menuType;
	}

	public void setMenuType(String menuType) {
		this.menuType = menuType;
	}
	
	public String getMenuCode() {
		return menuCode;
	}

	public void setMenuCode(String menuCode) {
		this.menuCode = menuCode;
	}


	public Integer getAppfunctionId() {
		return appfunctionId;
	}


	public void setAppfunctionId(Integer appfunctionId) {
		this.appfunctionId = appfunctionId;
	}


	public String getMenuIconUrl() {
		return menuIconUrl;
	}


	public void setMenuIconUrl(String menuIconUrl) {
		this.menuIconUrl = menuIconUrl;
	}
	
}
